ggiOpen(3ggi)

NAME
ggiOpen, ggiClose - Open and close a visual

SYNOPSIS
#include <ggi/ggi.h>

ggi_visual_t ggiOpen(const char *display, ...);

int ggiClose(ggi_visual_t vis); .SH "DESCRIPTION"

ggiOpen opens a visual (along with associated inputs). The visual is specified as a display string, followed by NULL. If only NULL is specified, the default display target is opened. (This may be specified by the user.)

The other arguments are for internal purposes only, such as argptr, used to pass driver-specific, non-textual information to the driver.

ggiClose releases and destroys an open visual and its associated internal control structures. This will close X windows, return consoles to text-mode, etc.

RETURN VALUE

ggiOpen returns the opened visual (ggi_visual_t), or NULL for error.

ggiClose returns 0 for OK, otherwise an error code.

EXAMPLES

  OPEN DEFAULT VISUAL

ggi_visual_t vis = ggiOpen(NULL);
if(vis==NULL)
{
	ggiPanic("Couldn't open default visual!\n");
}

  OPEN A MEMORY VISUAL

ggi_visual_t memvis = ggiOpen("display-memory", NULL);
if(memvis==NULL) {
	return -1;
}

  CLOSING VISUALS

ggiClose(memvis);
ggiClose(vis);

SEE ALSO
ggiInit(3), libggi(7)